{{!-- template-lint-disable no-invalid-interactive --}}
<div class="highlight" {{on "mouseover" this.updateFrames}} {{on "mouseout" this.removeFrames}} {{did-update this.setupSelection @selection}} {{did-insert this.setup}} ...attributes>
  {{yield}}

  {{#each this.list as |value|}}
    <HighlightFrame @value={{value}} @onSelect={{@onSelect}}/>
  {{/each}}
</div>